package com.bcxin.ins.third.build.yangguang.yggc;

import com.bcxin.ins.util.RegionUtils;
import com.bcxin.ins.vo.SpecialBidVo;

/**
 * 保单信息 ----> 工程信息
 * Created by Apple on 2017/7/19.
 */
public class PolicyMainLiab {
    private String officeType; // 工程项目类型
    private String businessDetail; // 工程项目名称及标段
    private String insureArea; // 立项文件编号（工程合同编号，招标文件编号）
    private String businessSite; // 工程项目地址
    private String certificateDepart; //  计划工期
    private String preTurnOver; // 工程预计造价
    private String liabreportstartdate;//投标日期
    private String officeGrade;//承包方资质系数
    public static PolicyMainLiab getDemo() {
        return new PolicyMainLiab("demo");
    }
    public static PolicyMainLiab getDemo(SpecialBidVo vo) {
        return new PolicyMainLiab(vo);
    }
    public PolicyMainLiab() {
    }
    private PolicyMainLiab( SpecialBidVo vo) {
        this.officeType = vo.getOffice_type();
        this.businessDetail = vo.getProject_name();
        this.insureArea =  vo.getInvitation_code();
        this.businessSite = RegionUtils.getRegionNameByALLCode(vo.getProvince(),vo.getCity(),vo.getArea_code())+vo.getAddress();
        this.certificateDepart = vo.getProject_time();
        this.preTurnOver = vo.getInsured_amount();
        this.liabreportstartdate=vo.getBid_time();
        this.officeGrade = vo.getAptitude_level().trim();
    }
    private PolicyMainLiab(String demo) {
        this.officeType = "R";
        this.businessDetail = "A";
        this.insureArea = "V";
        this.businessSite = "B";
        this.certificateDepart = "b";
        this.preTurnOver = "10.00";
        this.liabreportstartdate="2017-09-12";
        this.officeGrade = "2";
    }
//    private String getOG(String al){
//        if("1".equals(al)){
//            return "0.7";
//        } else if("2".equals(al)){
//            return "0.95";
//        } else if("3".equals(al)){
//            return "1";
//        } else if("4".equals(al)){
//            return "1.3";
//        } else {
//            return "1.5";
//        }
//    }


    public String getLiabreportstartdate() { return liabreportstartdate; }

    public void setLiabreportstartdate(String liabreportstartdate) { this.liabreportstartdate = liabreportstartdate; }

    public String getOfficeType() {
        return officeType;
    }

    public void setOfficeType(String officeType) {
        this.officeType = officeType;
    }

    public String getBusinessDetail() {
        return businessDetail;
    }

    public void setBusinessDetail(String businessDetatl) {
        this.businessDetail = businessDetatl;
    }

    public String getInsureArea() {
        return insureArea;
    }

    public void setInsureArea(String insureArea) {
        this.insureArea = insureArea;
    }

    public String getBusinessSite() {
        return businessSite;
    }

    public void setBusinessSite(String businessSite) {
        this.businessSite = businessSite;
    }

    public String getCertificateDepart() {
        return certificateDepart;
    }

    public void setCertificateDepart(String certificateDepart) {
        this.certificateDepart = certificateDepart;
    }

    public String getPreTurnOver() {
        return preTurnOver;
    }

    public void setPreTurnOver(String preTurnOver) {
        this.preTurnOver = preTurnOver;
    }

    public String getOfficeGrade() {
        return officeGrade;
    }

    public void setOfficeGrade(String officeGrade) {
        this.officeGrade = officeGrade;
    }
}
